#include <string>
#include <vector>

namespace glam {
  using namespace std;
  typedef unsigned uint;

  struct alignment {
    vector<uint> starts;
    uint width;
    bool operator==(const alignment & a) const
    { return width == a.width && starts == a.starts; }
  };

  void parse_glam(const string & text, vector<alignment> & aln, const vector<uint> & seqlens);
  void reflect_alignment(alignment & a, const vector<uint> & seqlens);
}
