#include "MCFbio.hpp"

void mcf::count_residues(
const std::vector<unsigned> & seq, std::vector<unsigned> & counts, unsigned alphsize)
{
  if (counts.size() < alphsize)
    counts.resize(alphsize);

  for (std::vector<unsigned>::const_iterator n = seq.begin(); n < seq.end(); ++n) {
    unsigned i = *n;
    if (i < alphsize)
      ++counts[i];
  }
}
